## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
.auth ON
.read
PRAGMA fullsync = OFF;
PRAGMA analysis_limit;
ATTACH DATABASE (':memory:' || '') AS aux96;
.stats on
SAVEPOINT sp9037;
.stats on
CREATE TABLE `T` (
  a CHARINT,
  b REAL
);
INSERT INTO main.T VALUES ('' || ('a'),power(CAST(CAST((like(CAST(-acos(floor(json_quote(sin(datetime(4393798534913500819, '+1 day'))))) AS REAL), NULL) + 3725563120749816045) AS ANY) AS BOOLEAN), 100.0)), ('b',-200.5), ('c',9e999);
CREATE TABLE "t1"(a INTEGER PRIMARY KEY, b TEXT, c INT, d INT);
INSERT INTO t1 VALUES (1, 'Wernher', 10, 100);
INSERT INTO t1 VALUES (2, 'von', 20, 200);
INSERT INTO t1 VALUES (3, 'Braun', 30, 300);
CREATE INDEX t1bc ON t1(b, c);
PRAGMA writable_schema = ON;
.imposter t1bc t2

SELECT * FROM t2;
SELECT b, c FROM t1 ORDER BY b, c;
.quit
SELECT a,b,
LEAD(b,1) OVER (ORDER BY b DESC) AS c,
NTILE(2) OVER (ORDER BY b DESC) AS d FROM T;
PRAGMA query_only;
INSERT INTO T VALUES (1, NULL) ON CONFLICT(a) DO UPDATE SET a = excluded.a, b = excluded.b;
SELECT COUNT(*) FROM t1;
SELECT * FROM T;
SELECT COUNT(*) FROM t1;
ANALYZE;
ALTER TABLE T RENAME TO T_r9134;
SELECT MIN(a) FILTER (WHERE NOT NOT NOT (NOT NOT (a IS NOT NULL) OVER ()) ORDER BY a GROUPS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING) FROM T;
INSERT INTO T SELECT * FROM T;
ANALYZE T;
SELECT COUNT(*) FROM T;
ROLLBACK TO sp9037;
RELEASE sp9037;
SELECT COUNT(b) FILTER (WHERE b IS NOT NULL) OVER (PARTITION BY b ORDER BY b) FROM T;
CREATE TABLE T (
  a TEXT,
  b INTEGER,
  c REAL
);
INSERT INTO T VALUES ('a',1,2.0), ('a',2,-3.0), ('b',1,4.5);
SELECT a,b,c,
SUM(c) OVER (
  PARTITION BY a
  ORDER BY b
) AS d
FROM T;
SELECT COUNT(*) FILTER (WHERE b IS NOT NULL), SUM(rowid) FILTER (WHERE b > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(b) FILTER (WHERE b > 0 AND b < 100), COUNT(*) FILTER (WHERE typeof(b) = "text")  FROM t1;
ALTER TABLE T ADD COLUMN extra_3139 DOUBLE COLLATE RTRIM;
SELECT * FROM T AS a JOIN T AS b ON a.rowid = b.rowid;
INSERT INTO t1 SELECT * FROM t1;
SELECT * FROM T AS a FULL OUTER JOIN t1 AS b ON a.rowid = b.rowid;
SELECT * FROM t1 WHERE c > ANY (SELECT c FROM t1);
SELECT * FROM T AS a LEFT OUTER JOIN T AS b ON a.rowid = b.rowid;
INSERT INTO t1 SELECT * FROM t1;
REINDEX;
WITH cte(x) AS (SELECT a FROM T) SELECT x FROM cte;
DETACH DATABASE aux96;
ALTER TABLE T RENAME TO T_r2899;
SELECT * FROM T WHERE a NOT IN (SELECT a FROM T WHERE a IS NOT NULL);
CREATE TABLE T (
  a INTEGER,
  b TEXT,
  c REAL
);
INSERT INTO T VALUES (1,'a',3.14), (1,'b',-7.75), (2,'c',-9e999);
SELECT b,a,c,
RANK() OVER (PARTITION BY a ORDER BY c DESC) AS d FROM T;
SELECT * FROM T AS a FULL OUTER JOIN T AS b ON a.rowid = b.rowid;
SELECT COUNT(*) FROM t1;
PRAGMA cell_size_check = OFF;
SELECT COUNT(*) FROM T;
VACUUM;
ALTER TABLE t1 DROP COLUMN a;
ALTER TABLE T DROP COLUMN c;
DROP INDEX IF EXISTS T;
SELECT MAX(b) FROM T;
PRAGMA foreign_keys = OFF;
ANALYZE T;
INSERT INTO T VALUES (NULL, 1, 'x') ON CONFLICT(a) DO UPDATE SET a = excluded.a, b = excluded.b, c = excluded.c;
SELECT COUNT(*) FROM T;
INSERT INTO t1 SELECT * FROM t1;
INSERT OR REPLACE INTO T VALUES (4, 0, -4);
VACUUM;
INSERT INTO t1 VALUES (NULL, NULL, NULL, NULL);
INSERT INTO T VALUES (NULL, NULL, NULL);
INSERT INTO T SELECT * FROM T;

SELECT COUNT(*) FROM T;
INSERT INTO t1 SELECT * FROM t1;
REINDEX t1;
ALTER TABLE T ADD COLUMN extra_8891 NUMERIC DEFAULT CURRENT_TIMESTAMP;
SELECT * FROM T;
WITH cte(x) AS (VALUES(1),(2),(3)) SELECT * FROM cte WHERE x > 1;
ALTER TABLE T RENAME COLUMN c TO c_r448;
INSERT INTO T VALUES (NULL, NULL, NULL);
CREATE TEMPORARY  VIEW IF NOT EXISTS v_T_7952 AS SELECT b FROM T;
CREATE TRIGGER IF NOT EXISTS trg_t1_2748 BEFORE DELETE ON t1 FOR EACH ROW BEGIN INSERT INTO t1(b) VALUES (NULL); END;
PRAGMA incremental_vacuum;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_T_8729 AS SELECT b FROM T;
ALTER TABLE T RENAME TO T_r1238;
ALTER TABLE T RENAME COLUMN c TO c_r1226;
CREATE TRIGGER IF NOT EXISTS trg_T_8076 AFTER INSERT ON T FOR EACH ROW BEGIN SELECT RAISE(IGNORE); END;
SELECT TOTAL(c) FROM T;
CREATE TRIGGER IF NOT EXISTS trg_T_2497 AFTER UPDATE ON T BEGIN SELECT RAISE(ABORT, 'abort'); END;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

